org.apache.axiom.util.stax.wrapper

## Class ImmutableXMLInputFactory

- java.lang.Object
- - javax.xml.stream.XMLInputFactory
  - - org.apache.axiom.util.stax.wrapper.XMLInputFactoryWrapper
    - - org.apache.axiom.util.stax.wrapper.ImmutableXMLInputFactory

-     public class ImmutableXMLInputFactory
      extends XMLInputFactoryWrapper

  Wraps an `XMLInputFactory` so that its state can no longer be changed. The state includes the properties as well as the `XMLEventAllocator`, `XMLReporter` and `XMLResolver` instances configured on the factory.

- - ### Field Summary

    - ### Fields inherited from class javax.xml.stream.XMLInputFactory

      `ALLOCATOR, IS_COALESCING, IS_NAMESPACE_AWARE, IS_REPLACING_ENTITY_REFERENCES, IS_SUPPORTING_EXTERNAL_ENTITIES, IS_VALIDATING, REPORTER, RESOLVER, SUPPORT_DTD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImmutableXMLInputFactory(javax.xml.stream.XMLInputFactory parent)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setEventAllocator(javax.xml.stream.util.XMLEventAllocator allocator)`
    `void` | `setProperty(String name, Object value)`
    `void` | `setXMLReporter(javax.xml.stream.XMLReporter reporter)`
    `void` | `setXMLResolver(javax.xml.stream.XMLResolver resolver)`

    - ### Methods inherited from class org.apache.axiom.util.stax.wrapper.XMLInputFactoryWrapper

      `createFilteredReader, createFilteredReader, createXMLEventReader, createXMLEventReader, createXMLEventReader, createXMLEventReader, createXMLEventReader, createXMLEventReader, createXMLEventReader, createXMLStreamReader, createXMLStreamReader, createXMLStreamReader, createXMLStreamReader, createXMLStreamReader, createXMLStreamReader, getEventAllocator, getProperty, getXMLReporter, getXMLResolver, isPropertySupported`

    - ### Methods inherited from class javax.xml.stream.XMLInputFactory

      `newFactory, newFactory, newInstance, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImmutableXMLInputFactory

          public ImmutableXMLInputFactory(javax.xml.stream.XMLInputFactory parent)

      Constructor.
      Parameters:
        `parent` - the parent factory

  - ### Method Detail

    - #### setEventAllocator

          public void setEventAllocator(javax.xml.stream.util.XMLEventAllocator allocator)

      Overrides:
        `setEventAllocator` in class `XMLInputFactoryWrapper`

    - #### setProperty

          public void setProperty(String name,
                                  Object value)
                           throws IllegalArgumentException

      Overrides:
        `setProperty` in class `XMLInputFactoryWrapper`
      Throws:
        `IllegalArgumentException`

    - #### setXMLReporter

          public void setXMLReporter(javax.xml.stream.XMLReporter reporter)

      Overrides:
        `setXMLReporter` in class `XMLInputFactoryWrapper`

    - #### setXMLResolver

          public void setXMLResolver(javax.xml.stream.XMLResolver resolver)

      Overrides:
        `setXMLResolver` in class `XMLInputFactoryWrapper`

Copyright © The Apache Software Foundation. All Rights Reserved.